{{- if .Values.api.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ .Values.name }}-api
spec:
  selector:
    app: {{ .Values.name }}-api
  ports:
    - protocol: TCP
      port: 8080
      targetPort: 8080
{{- end }}